## ascii 0.1

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to asciidoc or txt2tags
Version: 0.1
Date: 2009-03-13
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc or txt2tags syntax. Package
        comes with two drivers for Sweave.
License: GPL (>= 2)
Imports: proto, methods
Depends: R (>= 2.7), proto, methods
Suggests: survival, Hmisc, epicalc
LazyLoad: false
Packaged: Sat Apr 4 08:54:58 2009; david
Repository: CRAN
Date/Publication: 2009-04-04 20:40:24

## ascii 0.1.1

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to asciidoc or txt2tags
Version: 0.1.1
Date: 2009-03-13
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc or txt2tags syntax. Package
        comes with two drivers for Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Imports: proto, methods
Depends: R (>= 2.7), proto, methods
Suggests: survival, Hmisc, xtable, R2HTML
LazyLoad: false
Packaged: Wed Apr 8 08:56:28 2009; david
Repository: CRAN
Date/Publication: 2009-04-14 17:28:49

## ascii 0.1.2

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to asciidoc or txt2tags
Version: 0.1.2
Date: 2009-04-27
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc or txt2tags syntax. Package
        comes with two drivers for Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Imports: proto, methods
Depends: R (>= 2.7), proto, methods
Suggests: survival, Hmisc, xtable, R2HTML
LazyLoad: false
Packaged: 2009-04-27 17:01:17 UTC; david
Repository: CRAN
Date/Publication: 2009-05-04 10:17:53

## ascii 0.1.3

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to asciidoc or txt2tags
Version: 0.1.3
Date: 2009-04-27
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc or txt2tags syntax. Package
        comes with two drivers for Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Imports: proto, methods
Depends: R (>= 2.7), proto, methods, utils
Suggests: survival, Hmisc, xtable, R2HTML
LazyLoad: false
Packaged: 2009-05-11 17:26:28 UTC; david
Repository: CRAN
Date/Publication: 2009-05-11 18:49:21

## ascii 0.2

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to asciidoc or txt2tags
Version: 0.2
Date: 2009-06-24
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc or txt2tags syntax. Package
        comes with two drivers for Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Imports: proto, methods
Depends: R (>= 2.7), proto
Suggests: survival, Hmisc, xtable, R2HTML
LazyLoad: false
Packaged: 2009-07-18 20:08:19 UTC; david
Repository: CRAN
Date/Publication: 2009-07-19 17:05:18

## ascii 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ascii
 Type: Package
 Title: Export R objects to asciidoc or txt2tags
-Version: 0.2
+Version: 0.2.1
 Date: 2009-06-24
 Author: David Hajage
 Maintainer: David Hajage <dhajage@gmail.com>
@@ -13,6 +13,6 @@
 Depends: R (>= 2.7), proto
 Suggests: survival, Hmisc, xtable, R2HTML
 LazyLoad: false
-Packaged: 2009-07-18 20:08:19 UTC; david
+Packaged: 2009-10-11 17:56:15 UTC; david
 Repository: CRAN
-Date/Publication: 2009-07-19 17:05:18
+Date/Publication: 2009-10-11 18:30:01

## ascii 0.3.1

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to several markup languages
Version: 0.3.1
Date: 2009-07-20
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc, txt2tags, sphinx or org
        syntax. Package comes with a set of drivers for Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Imports: proto
Depends: R (>= 2.7), proto
Suggests: survival, Hmisc, xtable, R2HTML
LazyLoad: false
Packaged: 2009-10-24 16:54:17 UTC; david
Repository: CRAN
Date/Publication: 2009-10-26 19:26:26

## ascii 0.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ascii
 Type: Package
 Title: Export R objects to several markup languages
-Version: 0.3.1
+Version: 0.3.2
 Date: 2009-07-20
 Author: David Hajage
 Maintainer: David Hajage <dhajage@gmail.com>
@@ -13,6 +13,6 @@
 Depends: R (>= 2.7), proto
 Suggests: survival, Hmisc, xtable, R2HTML
 LazyLoad: false
-Packaged: 2009-10-24 16:54:17 UTC; david
+Packaged: 2009-10-28 14:15:18 UTC; david
 Repository: CRAN
-Date/Publication: 2009-10-26 19:26:26
+Date/Publication: 2009-10-28 15:24:02

## ascii 0.4

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to several markup languages
Version: 0.4
Date: 2009-07-20
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc, txt2tags, restructuredText or
        org syntax. Package comes with a set of drivers for Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Imports: proto
Depends: R (>= 2.7), proto
Suggests: survival, Hmisc, xtable, R2HTML
LazyLoad: false
Packaged: 2009-11-24 19:11:38 UTC; david
Repository: CRAN
Date/Publication: 2009-11-25 08:29:39

## ascii 0.4-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ascii
 Type: Package
 Title: Export R objects to several markup languages
-Version: 0.4
+Version: 0.4-1
 Date: 2009-07-20
 Author: David Hajage
 Maintainer: David Hajage <dhajage@gmail.com>
@@ -13,6 +13,6 @@
 Depends: R (>= 2.7), proto
 Suggests: survival, Hmisc, xtable, R2HTML
 LazyLoad: false
-Packaged: 2009-11-24 19:11:38 UTC; david
+Packaged: 2009-11-25 19:54:03 UTC; david
 Repository: CRAN
-Date/Publication: 2009-11-25 08:29:39
+Date/Publication: 2009-11-26 08:12:27

## ascii 0.4-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ascii
 Type: Package
 Title: Export R objects to several markup languages
-Version: 0.4-1
+Version: 0.4-2
 Date: 2009-07-20
 Author: David Hajage
 Maintainer: David Hajage <dhajage@gmail.com>
@@ -13,6 +13,6 @@
 Depends: R (>= 2.7), proto
 Suggests: survival, Hmisc, xtable, R2HTML
 LazyLoad: false
-Packaged: 2009-11-25 19:54:03 UTC; david
+Packaged: 2009-11-28 09:10:00 UTC; david
 Repository: CRAN
-Date/Publication: 2009-11-26 08:12:27
+Date/Publication: 2009-11-29 17:23:12

## ascii 0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ascii
 Type: Package
 Title: Export R objects to several markup languages
-Version: 0.4-2
+Version: 0.5
 Date: 2009-07-20
 Author: David Hajage
 Maintainer: David Hajage <dhajage@gmail.com>
@@ -13,6 +13,6 @@
 Depends: R (>= 2.7), proto
 Suggests: survival, Hmisc, xtable, R2HTML
 LazyLoad: false
-Packaged: 2009-11-28 09:10:00 UTC; david
+Packaged: 2010-02-05 21:46:55 UTC; david
 Repository: CRAN
-Date/Publication: 2009-11-29 17:23:12
+Date/Publication: 2010-02-06 14:32:25

## ascii 0.6

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to several markup languages
Version: 0.6
Date: 2009-07-20
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc, txt2tags, restructuredText,
        org or textile syntax. Package comes with a set of drivers for
        Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Depends: R (>= 2.7), proto
Imports: proto
Suggests: survival, Hmisc, xtable, R2HTML
LazyLoad: false
Packaged: 2010-05-05 12:10:37 UTC; david
Repository: CRAN
Date/Publication: 2010-05-06 09:13:57

## ascii 0.6-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ascii
 Type: Package
 Title: Export R objects to several markup languages
-Version: 0.6
+Version: 0.6-1
 Date: 2009-07-20
 Author: David Hajage
 Maintainer: David Hajage <dhajage@gmail.com>
@@ -14,6 +14,6 @@
 Imports: proto
 Suggests: survival, Hmisc, xtable, R2HTML
 LazyLoad: false
-Packaged: 2010-05-05 12:10:37 UTC; david
+Packaged: 2010-05-06 15:54:01 UTC; david
 Repository: CRAN
-Date/Publication: 2010-05-06 09:13:57
+Date/Publication: 2010-05-06 18:16:21

## ascii 0.6-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ascii
 Type: Package
 Title: Export R objects to several markup languages
-Version: 0.6-1
+Version: 0.6-2
 Date: 2009-07-20
 Author: David Hajage
 Maintainer: David Hajage <dhajage@gmail.com>
@@ -14,6 +14,6 @@
 Imports: proto
 Suggests: survival, Hmisc, xtable, R2HTML
 LazyLoad: false
-Packaged: 2010-05-06 15:54:01 UTC; david
+Packaged: 2010-05-14 06:54:09 UTC; david
 Repository: CRAN
-Date/Publication: 2010-05-06 18:16:21
+Date/Publication: 2010-05-16 16:29:22

## ascii 0.6-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ascii
 Type: Package
 Title: Export R objects to several markup languages
-Version: 0.6-2
+Version: 0.6-3
 Date: 2009-07-20
 Author: David Hajage
 Maintainer: David Hajage <dhajage@gmail.com>
@@ -14,6 +14,6 @@
 Imports: proto
 Suggests: survival, Hmisc, xtable, R2HTML
 LazyLoad: false
-Packaged: 2010-05-14 06:54:09 UTC; david
+Packaged: 2010-05-19 19:38:46 UTC; david
 Repository: CRAN
-Date/Publication: 2010-05-16 16:29:22
+Date/Publication: 2010-05-19 21:09:34

## ascii 0.6-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ascii
 Type: Package
 Title: Export R objects to several markup languages
-Version: 0.6-3
+Version: 0.6-4
 Date: 2009-07-20
 Author: David Hajage
 Maintainer: David Hajage <dhajage@gmail.com>
@@ -14,6 +14,6 @@
 Imports: proto
 Suggests: survival, Hmisc, xtable, R2HTML
 LazyLoad: false
-Packaged: 2010-05-19 19:38:46 UTC; david
+Packaged: 2010-06-02 15:11:24 UTC; david
 Repository: CRAN
-Date/Publication: 2010-05-19 21:09:34
+Date/Publication: 2010-06-03 13:49:31

## ascii 0.7

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to several markup languages
Version: 0.7
Date: 2009-07-20
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc, txt2tags, restructuredText,
        org or textile syntax. Package comes with a set of drivers for
        Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Depends: R (>= 2.7), proto
Imports: proto
Suggests: survival, Hmisc, xtable, R2HTML, hwriter, cacheSweave, weaver
LazyLoad: false
Packaged: 2010-07-08 19:19:58 UTC; david
Repository: CRAN
Date/Publication: 2010-07-08 20:01:00

## ascii 1.0

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to several markup languages
Version: 1.0
Date: 2009-07-20
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc, txt2tags, restructuredText,
        org or textile syntax. Package comes with a set of drivers for
        Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Depends: R (>= 2.7), proto, utils
Imports: proto
Suggests: survival, Hmisc, xtable, R2HTML, hwriter, cacheSweave, weaver
LazyLoad: false
Collate: 'asciiAnova.r' 'asciiDataFrame.r' 'asciiDefault.r'
        'asciiDensity.r' 'asciiDescr.r' 'asciiGlm.r' 'asciiHmisc.r'
        'asciiHtest.r' 'asciiList.r' 'asciiLm.r' 'asciiMatrix.r'
        'asciiPrcomp.r' 'asciiSmoothSpline.r' 'asciiSummaryTable.r'
        'asciiSurvival.r' 'asciiTable.r' 'asciiTs.r' 'asciiVector.r'
        'bind.r' 'cacheSweaveAsciidoc.r' 'cacheSweaveOrg.r'
        'cacheSweavePandoc.r' 'cacheSweaveReST.r' 'cacheSweaveT2t.r'
        'cacheSweaveTextile.r' 'export.r' 'generic.r' 'groups.r'
        'interleave.r' 'paste.matrix.r' 'print.character.matrix.r'
        'print.r' 'RweaveAsciidoc.r' 'RweaveOrg.r' 'RweavePandoc.r'
        'RweaveReST.r' 'RweaveT2t.r' 'RweaveTextile.r'
        'show.asciidoc.r' 'show.org.r' 'show.pandoc.r' 'show.r'
        'show.rest.r' 'show.t2t.r' 'show.textile.r' 'SweaveAscii.r'
        'tocharac.r' 'weaverAsciidoc.r' 'weaverOrg.r' 'weaverPandoc.r'
        'weaverReST.r' 'weaverT2t.r' 'weaverTextile.r'
Packaged: 2011-02-26 13:56:06 UTC; david
Repository: CRAN
Date/Publication: 2011-02-27 16:29:05

## ascii 1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ascii
 Type: Package
 Title: Export R objects to several markup languages
-Version: 1.0
+Version: 1.1
 Date: 2009-07-20
 Author: David Hajage
 Maintainer: David Hajage <dhajage@gmail.com>
@@ -29,6 +29,6 @@
         'show.rest.r' 'show.t2t.r' 'show.textile.r' 'SweaveAscii.r'
         'tocharac.r' 'weaverAsciidoc.r' 'weaverOrg.r' 'weaverPandoc.r'
         'weaverReST.r' 'weaverT2t.r' 'weaverTextile.r'
-Packaged: 2011-02-26 13:56:06 UTC; david
+Packaged: 2011-03-02 12:42:33 UTC; david
 Repository: CRAN
-Date/Publication: 2011-02-27 16:29:05
+Date/Publication: 2011-03-03 06:53:45

## ascii 1.2

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to several markup languages
Version: 1.2
Date: 2009-07-20
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc, txt2tags, restructuredText,
        org or textile syntax. Package comes with a set of drivers for
        Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Depends: R (>= 2.7), proto, utils
Imports: proto
Suggests: survival, Hmisc, xtable, R2HTML, hwriter, cacheSweave, weaver
LazyLoad: false
Collate: 'asciiAnova.r' 'asciiDataFrame.r' 'asciiDefault.r'
        'asciiDensity.r' 'asciiDescr.r' 'asciiEpi.r' 'asciiGlm.r'
        'asciiHmisc.r' 'asciiHtest.r' 'asciiList.r' 'asciiLm.r'
        'asciiMatrix.r' 'asciiPrcomp.r' 'asciiSmoothSpline.r'
        'asciiSummaryTable.r' 'asciiSurvival.r' 'asciiTable.r'
        'asciiTs.r' 'asciiVector.r' 'bind.r' 'cacheSweaveAsciidoc.r'
        'cacheSweaveOrg.r' 'cacheSweavePandoc.r' 'cacheSweaveReST.r'
        'cacheSweaveT2t.r' 'cacheSweaveTextile.r' 'export.r'
        'generic.r' 'groups.r' 'interleave.r' 'paste.matrix.r'
        'print.character.matrix.r' 'print.r' 'RweaveAsciidoc.r'
        'RweaveOrg.r' 'RweavePandoc.r' 'RweaveReST.r' 'RweaveT2t.r'
        'RweaveTextile.r' 'show.asciidoc.r' 'show.org.r'
        'show.pandoc.r' 'show.r' 'show.rest.r' 'show.t2t.r'
        'show.textile.r' 'SweaveAscii.r' 'tocharac.r'
        'weaverAsciidoc.r' 'weaverOrg.r' 'weaverPandoc.r'
        'weaverReST.r' 'weaverT2t.r' 'weaverTextile.r'
Packaged: 2011-03-04 11:51:32 UTC; david
Repository: CRAN
Date/Publication: 2011-03-05 16:39:44

## ascii 1.3

=== DESCRIPTION ===
Package: ascii
Type: Package
Title: Export R objects to several markup languages
Version: 1.3
Date: 2009-07-20
Author: David Hajage
Maintainer: David Hajage <dhajage@gmail.com>
Description: Coerce R object to asciidoc, txt2tags, restructuredText,
        org or textile syntax. Package comes with a set of drivers for
        Sweave.
License: GPL (>= 2)
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Depends: R (>= 2.13), proto, utils
Imports: proto
Suggests: survival, Hmisc, xtable, R2HTML, cacheSweave, weaver
LazyLoad: false
Collate: 'asciiAnova.r' 'asciiDataFrame.r' 'asciiDefault.r'
        'asciiDensity.r' 'asciiDescr.r' 'asciiEpi.r' 'asciiGlm.r'
        'asciiHmisc.r' 'asciiHtest.r' 'asciiList.r' 'asciiLm.r'
        'asciiMatrix.r' 'asciiPrcomp.r' 'asciiSmoothSpline.r'
        'asciiSummaryTable.r' 'asciiSurvival.r' 'asciiTable.r'
        'asciiTs.r' 'asciiVector.r' 'bind.r' 'cacheSweaveAscii.r'
        'export.r' 'generic.r' 'groups.r' 'interleave.r'
        'paste.matrix.r' 'print.character.matrix.r' 'print.r'
        'RweaveAscii.r' 'show.asciidoc.r' 'show.org.r' 'show.pandoc.r'
        'show.r' 'show.rest.r' 'show.t2t.r' 'show.textile.r'
        'SweaveAscii.r' 'tocharac.r' 'weaverAscii.r'
Packaged: 2011-04-19 09:31:59 UTC; david
Repository: CRAN
Date/Publication: 2011-04-24 06:06:41

## ascii 1.4

=== DESCRIPTION ===
Package: ascii
Imports: proto
Maintainer: David Hajage <dhajage@gmail.com>
License: GPL (>= 2)
Title: Export R objects to several markup languages
Type: Package
LazyLoad: false
Author: David Hajage
Description: Coerce R object to asciidoc, txt2tags, restructuredText,
        org, textile or pandoc syntax. Package comes with a set of
        drivers for Sweave.
Version: 1.4
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Date: 2009-07-20
Depends: R (>= 2.13), proto, utils
Suggests: survival, Hmisc, xtable, R2HTML, cacheSweave, weaver
Collate: 'asciiAnova.r' 'asciiDataFrame.r' 'asciiDefault.r'
        'asciiDensity.r' 'asciiDescr.r' 'asciiEpi.r' 'asciiGlm.r'
        'asciiHmisc.r' 'asciiHtest.r' 'asciiList.r' 'asciiLm.r'
        'asciiMatrix.r' 'asciiMemisc.r' 'asciiPrcomp.r'
        'asciiSmoothSpline.r' 'asciiSummaryTable.r' 'asciiSurvival.r'
        'asciiTable.r' 'asciiTs.r' 'asciiVector.r' 'bind.r'
        'cacheSweaveAscii.r' 'export.r' 'generic.r' 'groups.r'
        'interleave.r' 'paste.matrix.r' 'print.character.matrix.r'
        'print.r' 'RweaveAscii.r' 'show.asciidoc.r' 'show.org.r'
        'show.pandoc.r' 'show.r' 'show.rest.r' 'show.t2t.r'
        'show.textile.r' 'SweaveAscii.r' 'tocharac.r' 'weaverAscii.r'
Packaged: 2011-05-11 09:31:08 UTC; david
Repository: CRAN
Date/Publication: 2011-05-12 04:27:06

## ascii 2.0

=== DESCRIPTION ===
Package: ascii
Maintainer: David Hajage <dhajage@gmail.com>
License: GPL (>= 2)
Title: Export R objects to several markup languages
Type: Package
Author: David Hajage
Description: Coerce R object to asciidoc, txt2tags, restructuredText,
        org, textile or pandoc syntax.  Package comes with a set of
        drivers for Sweave.
Version: 2.0
URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
Date: 2009-07-20
Depends: R (>= 2.13), utils, methods
Suggests: survival, Hmisc, xtable, R2HTML, cacheSweave, weaver
Collate: 'asciiAnova.r' 'asciiDataFrame.r' 'asciiDefault.r'
        'asciiDensity.r' 'asciiDescr.r' 'asciiEpi.r' 'asciiGlm.r'
        'asciiHmisc.r' 'asciiHtest.r' 'asciiList.r' 'asciiLm.r'
        'asciiMatrix.r' 'asciiMemisc.r' 'asciiPrcomp.r'
        'asciiSmoothSpline.r' 'asciiSummaryTable.r' 'asciiSurvival.r'
        'asciiTable.r' 'asciiTs.r' 'asciiVector.r' 'cacheSweaveAscii.r'
        'cbind.r' 'export.r' 'generic.r' 'groups.r' 'interleave.r'
        'paste.matrix.r' 'plim.r' 'print.character.matrix.r'
        'RweaveAscii.r' 'show.asciidoc.r' 'show.org.r' 'show.pandoc.r'
        'show.r' 'show.rest.r' 'show.t2t.r' 'show.textile.r'
        'SweaveAscii.r' 'tocharac.r' 'weaverAscii.r' 'zzz.r' 'print.r'
Packaged: 2011-09-24 12:18:22 UTC; david
Repository: CRAN
Date/Publication: 2011-09-25 06:27:05

=== Makefile ===
# ascii -- interactive ASCII reference

# Note: When the version changes, you also have to change
#  * the name of the containing directory
#  * the RPM spec file
V=2.0

ascii: ascii.c

CFLAGS = -O

clean:
	rm -f ascii ascii.tar* ascii.shar

ascii-$(V).tar: Makefile ascii.c ascii.1 ascii.lsm
	cd ..; tar cvf ascii-$(V)/ascii-$(V).tar ascii-$(V)/Makefile ascii-$(V)/ascii.c ascii-$(V)/ascii.1 ascii-$(V)/ascii.lsm ascii-$(V)/ascii.spec 

ascii-$(V).tar.gz: ascii-$(V).tar
	gzip -f ascii-$(V).tar

ascii-$(V).shar:
	shar Makefile ascii.c ascii.1 ascii.lsm ascii-$(V)-1.spec >ascii-$(V).shar

rpm: ascii-$(V).tar.gz
	cp ascii-$(V).tar.gz /usr/src/SOURCES
	cp ascii.spec /usr/src/SPECS/ascii-$(V)-1.spec
	rpm -ba ascii-$(V)-1.spec

## ascii 2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Description: Coerce R object to asciidoc, txt2tags, restructuredText,
         org, textile or pandoc syntax.  Package comes with a set of
         drivers for Sweave.
-Version: 2.0
+Version: 2.1
 URL: http://eusebe.github.com/ascii/, http://github.com/eusebe/ascii/
 Date: 2009-07-20
 Depends: R (>= 2.13), utils, methods
@@ -23,6 +23,6 @@
         'RweaveAscii.r' 'show.asciidoc.r' 'show.org.r' 'show.pandoc.r'
         'show.r' 'show.rest.r' 'show.t2t.r' 'show.textile.r'
         'SweaveAscii.r' 'tocharac.r' 'weaverAscii.r' 'zzz.r' 'print.r'
-Packaged: 2011-09-24 12:18:22 UTC; david
+Packaged: 2011-09-28 08:59:12 UTC; david
 Repository: CRAN
-Date/Publication: 2011-09-25 06:27:05
+Date/Publication: 2011-09-29 11:27:34

## ascii 2.2

=== Makefile ===
# ascii -- interactive ASCII reference

# Note: When the version changes, you also have to change
# the RPM spec file
V=2.2

ascii: ascii.c

CFLAGS = -O

clean:
	rm -f ascii ascii.tar* ascii.shar

SOURCES = Makefile ascii.c ascii.1 ascii.lsm ascii.spec 

ascii-$(V).tar: $(SOURCES)
	tar --name-prefix ascii-$(V) -cf ascii-$(V).tar $(SOURCES)

ascii-$(V).tar.gz: ascii-$(V).tar
	gzip -f ascii-$(V).tar

ascii-$(V).shar:
	shar $(SOURCES) >ascii-$(V).shar

dist: ascii-$(V).tar.gz

rpm: ascii-$(V).tar.gz
	cp ascii-$(V).tar.gz /usr/src/SOURCES
	cp ascii.spec /usr/src/SPECS/ascii-$(V)-1.spec
	rpm -ba ascii-$(V)-1.spec

## ascii 2.3

=== DESCRIPTION ===
Package: ascii
Maintainer: Mark Clements <mark.clements@ki.se>
License: GPL (>= 2)
Title: Export R Objects to Several Markup Languages
Type: Package
Authors@R: c(person("David", "Hajage", role="aut", email="dhajage@gmail.com"),
	person("Mark", "Clements", role=c("cre","ctb"), email="mark.clements@ki.se"),
	person("Seth", "Falcon", role="ctb", email="seth@userprimary.net"),
	person("Terry", "Therneau", role="ctb", email="therneau.terry@mayo.edu"),
	person("Matti","Pastell", role="ctb"),
	person("Friedrich", "Leisch", role="ctb"))
Description: Coerce R object to 'asciidoc', 'txt2tags',
    'restructuredText', 'org', 'textile' or 'pandoc' syntax.
    Package comes with a set of drivers for 'Sweave'.
Version: 2.3
URL: http://github.com/mclements/ascii
BugReports: http://github.com/mclements/ascii/issues
Date: 2020-07-27
Depends: R (>= 2.13), methods
Imports: utils, digest, codetools, survival, stats, grDevices
Suggests: Hmisc, xtable, R2HTML, knitr
Collate: 'asciiAnova.r' 'asciiDataFrame.r' 'asciiDefault.r'
        'asciiDensity.r' 'asciiDescr.r' 'asciiEpi.r' 'asciiGlm.r'
        'asciiHmisc.r' 'asciiHtest.r' 'asciiList.r' 'asciiLm.r'
        'asciiMatrix.r' 'asciiMemisc.r' 'asciiPrcomp.r'
        'asciiSmoothSpline.r' 'asciiSummaryTable.r' 'asciiSurvival.r'
        'asciiTable.r' 'asciiTs.r' 'asciiVector.r' 'bind.r' 'cbind.r'
        'export.r' 'generic.r' 'groups.r' 'interleave.r'
        'paste.matrix.r' 'plim.r' 'print.character.matrix.r'
        'RweaveAscii.r' 'show.asciidoc.r' 'show.org.r' 'show.pandoc.r'
        'show.r' 'show.rest.r' 'show.t2t.r' 'show.textile.r'
        'SweaveAscii.r' 'tocharac.r' 'weaverAscii.r' 'zzz.r' 'print.r'
        'cache_expr.R' 'weaver.R' 'unexported.R'
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-07-27 20:52:53 UTC; marcle
Author: David Hajage [aut],
  Mark Clements [cre, ctb],
  Seth Falcon [ctb],
  Terry Therneau [ctb],
  Matti Pastell [ctb],
  Friedrich Leisch [ctb]
Repository: CRAN
Date/Publication: 2020-07-27 23:50:02 UTC

## ascii 2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Description: Coerce R object to 'asciidoc', 'txt2tags',
     'restructuredText', 'org', 'textile' or 'pandoc' syntax.
     Package comes with a set of drivers for 'Sweave'.
-Version: 2.3
-URL: http://github.com/mclements/ascii
-BugReports: http://github.com/mclements/ascii/issues
-Date: 2020-07-27
+Version: 2.4
+URL: https://github.com/mclements/ascii
+BugReports: https://github.com/mclements/ascii/issues
+Date: 2020-08-18
 Depends: R (>= 2.13), methods
 Imports: utils, digest, codetools, survival, stats, grDevices
 Suggests: Hmisc, xtable, R2HTML, knitr
@@ -33,7 +33,7 @@
         'cache_expr.R' 'weaver.R' 'unexported.R'
 RoxygenNote: 7.0.2
 NeedsCompilation: no
-Packaged: 2020-07-27 20:52:53 UTC; marcle
+Packaged: 2020-09-17 12:41:35 UTC; marcle
 Author: David Hajage [aut],
   Mark Clements [cre, ctb],
   Seth Falcon [ctb],
@@ -41,4 +41,4 @@
   Matti Pastell [ctb],
   Friedrich Leisch [ctb]
 Repository: CRAN
-Date/Publication: 2020-07-27 23:50:02 UTC
+Date/Publication: 2020-09-17 13:10:09 UTC

## ascii 2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Description: Coerce R object to 'asciidoc', 'txt2tags',
     'restructuredText', 'org', 'textile' or 'pandoc' syntax.
     Package comes with a set of drivers for 'Sweave'.
-Version: 2.4
+Version: 2.6
 URL: https://github.com/mclements/ascii
 BugReports: https://github.com/mclements/ascii/issues
-Date: 2020-08-18
+Date: 2024-01-22
 Depends: R (>= 2.13), methods
 Imports: utils, digest, codetools, survival, stats, grDevices
 Suggests: Hmisc, xtable, R2HTML, knitr
@@ -31,9 +31,9 @@
         'show.r' 'show.rest.r' 'show.t2t.r' 'show.textile.r'
         'SweaveAscii.r' 'tocharac.r' 'weaverAscii.r' 'zzz.r' 'print.r'
         'cache_expr.R' 'weaver.R' 'unexported.R'
-RoxygenNote: 7.0.2
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2020-09-17 12:41:35 UTC; marcle
+Packaged: 2024-01-22 19:25:46 UTC; marcle
 Author: David Hajage [aut],
   Mark Clements [cre, ctb],
   Seth Falcon [ctb],
@@ -41,4 +41,4 @@
   Matti Pastell [ctb],
   Friedrich Leisch [ctb]
 Repository: CRAN
-Date/Publication: 2020-09-17 13:10:09 UTC
+Date/Publication: 2024-01-22 20:02:57 UTC

=== Makefile ===
# ascii -- interactive ASCII reference

# Note: When the version changes, you also have to change
# the RPM spec file and LSM
V=2.6

CFLAGS = -O

ascii: ascii.o 
ascii.o: ascii.c splashscreen.h

splashscreen.h: splashscreen
	sed <splashscreen >splashscreen.h -e 's/\\/\\\\/g' -e 's/"/\\"/' -e 's/.*/P("&");/' 

clean:
	rm -f ascii ascii.tar* ascii.shar ascii.o splashscreen.h

SOURCES = Makefile ascii.c ascii.1 ascii.lsm ascii.spec splashscreen

ascii-$(V).tar.gz: $(SOURCES)
	@ls $(SOURCES) | sed s:^:ascii-$(V)/: >MANIFEST
	@(cd ..; ln -s ascii ascii-$(V))
	(cd ..; tar -czvf ascii/ascii-$(V).tar.gz `cat ascii/MANIFEST`)
	@(cd ..; rm ascii-$(V))

ascii-$(V).shar:
	shar $(SOURCES) >ascii-$(V).shar

dist: ascii-$(V).tar.gz

RPMROOT=/usr/src/redhat
RPM = rpm
RPMFLAGS = -ba
rpm: dist
	cp ascii-$(V).tar.gz $(RPMROOT)/SOURCES;
	cp ascii.spec $(RPMROOT)/SPECS
	cd $(RPMROOT)/SPECS; $(RPM) $(RPMFLAGS) ascii.spec	
	cp $(RPMROOT)/RPMS/`arch|sed 's/i[4-9]86/i386/'`/ascii-$(V)*.rpm .
	cp $(RPMROOT)/SRPMS/ascii-$(V)*.src.rpm .

## ascii 3.0

=== Makefile ===
# ascii -- interactive ASCII reference

# Note: When the version changes, you also have to change
# the RPM spec file and LSM
VERS=3.0

CFLAGS = -O

ascii: ascii.c splashscreen.h
	$(CC) -DREVISION=$(VERS) ascii.c -o ascii

splashscreen.h: splashscreen
	sed <splashscreen >splashscreen.h -e 's/\\/\\\\/g' -e 's/"/\\"/' -e 's/.*/P("&");/' 

clean:
	rm -f ascii ascii.tar* ascii.shar ascii.o splashscreen.h

install:
	cp ascii /usr/bin/ascii
	cp ascii.1 /usr/man/man1

uninstall:
	rm /usr/bin/ascii
	rm /usr/man/man1

SOURCES = README Makefile ascii.c ascii.1 ascii.lsm ascii.spec splashscreen ascii.cgi

ascii-$(VERS).tar.gz: $(SOURCES)
	@ls $(SOURCES) | sed s:^:ascii-$(VERS)/: >MANIFEST
	@(cd ..; ln -s ascii ascii-$(VERS))
	(cd ..; tar -czvf ascii/ascii-$(VERS).tar.gz `cat ascii/MANIFEST`)
	@(cd ..; rm ascii-$(VERS))

ascii-$(VERS).shar:
	shar $(SOURCES) >ascii-$(VERS).shar

dist: ascii-$(VERS).tar.gz

RPMROOT=/usr/src/redhat
RPM = rpm
RPMFLAGS = -ba
rpm: dist
	cp ascii-$(VERS).tar.gz $(RPMROOT)/SOURCES;
	cp ascii.spec $(RPMROOT)/SPECS
	cd $(RPMROOT)/SPECS; $(RPM) $(RPMFLAGS) ascii.spec	
	cp $(RPMROOT)/RPMS/`arch|sed 's/i[4-9]86/i386/'`/ascii-$(VERS)*.rpm .
	cp $(RPMROOT)/SRPMS/ascii-$(VERS)*.src.rpm .

## ascii 3.6

=== Makefile ===
# ascii -- interactive ASCII reference

VERS=$(shell sed <ascii.spec -n -e '/Version: \(.*\)/s//\1/p')

CFLAGS = -O

ascii: ascii.c splashscreen.h nametable.h
	$(CC) -DREVISION=$(VERS) ascii.c -o ascii

splashscreen.h: splashscreen
	sed <splashscreen >splashscreen.h -e 's/\\/\\\\/g' -e 's/"/\\"/' -e 's/.*/puts("&");/' 

nametable.h: nametable
	sed <nametable >nametable.h -e '/^#/d' -e 's/^[A-Za-z ]*: */	/' -e 's/%%/    }, {/'

ascii.1: ascii.xml
	xmlto man ascii.xml 

ascii.html: ascii.xml
	xmlto html ascii.xml 

clean:
	rm -f ascii ascii.o splashscreen.h ascii.1 *.rpm *.tar.gz

install: ascii ascii.1
	cp ascii $(DESTDIR)/usr/bin/ascii
	cp ascii.1 $(DESTDIR)/usr/share/man/man1

uninstall:
	rm $(DESTDIR)/usr/bin/ascii
	rm $(DESTDIR)/usr/share/man/man1/ascii.1

SOURCES = README COPYING Makefile ascii.c ascii.xml ascii.spec splashscreen nametable ascii.cgi

ascii-$(VERS).tar.gz: $(SOURCES) ascii.1
	@ls $(SOURCES) ascii.1 | sed s:^:ascii-$(VERS)/: >MANIFEST
	@(cd ..; ln -s ascii ascii-$(VERS))
	(cd ..; tar -czvf ascii/ascii-$(VERS).tar.gz `cat ascii/MANIFEST`)
	@(cd ..; rm ascii-$(VERS))

dist: ascii-$(VERS).tar.gz

ship: ascii-$(VERS).tar.gz ascii.html
	shipper -f

## ascii 3.8

=== Makefile ===
# ascii -- interactive ASCII reference

VERS=$(shell sed <ascii.spec -n -e '/Version: \(.*\)/s//\1/p')

CFLAGS = -O

ascii: ascii.c splashscreen.h nametable.h
	$(CC) -DREVISION=$(VERS) ascii.c -o ascii

splashscreen.h: splashscreen
	sed <splashscreen >splashscreen.h -e 's/\\/\\\\/g' -e 's/"/\\"/g' -e 's/.*/P("&");/' 

nametable.h: nametable
	sed <nametable >nametable.h -e '/^#/d' -e 's/^[A-Za-z ]*: */	/' -e 's/%%/    }, {/'

ascii.1: ascii.xml
	xmlto man ascii.xml 

ascii.html: ascii.xml
	xmlto html-nochunks ascii.xml 

clean:
	rm -f ascii ascii.o splashscreen.h nametable.h *.rpm *.tar.gz MANIFEST

install: ascii ascii.1
	cp ascii $(DESTDIR)/usr/bin/ascii
	cp ascii.1 $(DESTDIR)/usr/share/man/man1

uninstall:
	rm $(DESTDIR)/usr/bin/ascii
	rm $(DESTDIR)/usr/share/man/man1/ascii.1

SOURCES = README COPYING Makefile ascii.c ascii.xml ascii.spec splashscreen nametable ascii.cgi

# Assumes this is the trubnk of a Subversion repository
ascii-$(VERS).tar.gz: $(SOURCES) ascii.1
	@ls $(SOURCES) ascii.1 | sed s:^:ascii-$(VERS)/: >MANIFEST
	@(cd ..; ln -s trunk ascii-$(VERS))
	(cd ..; tar -czvf trunk/ascii-$(VERS).tar.gz `cat trunk/MANIFEST`)
	@(cd ..; rm ascii-$(VERS))

dist: ascii-$(VERS).tar.gz

release: ascii-$(VERS).tar.gz ascii.html
	shipper; rm -f CHANGES ANNOUNCE* ascii.html *.1 *.html *.rpm *.lsm

## ascii 3.11

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 VERS=$(shell sed <ascii.spec -n -e '/Version: \(.*\)/s//\1/p')
 
 CFLAGS = -O
+
+all: ascii ascii.1
 
 ascii: ascii.c splashscreen.h nametable.h
 	$(CC) -DREVISION=$(VERS) ascii.c -o ascii
@@ -20,7 +22,12 @@
 	xmlto html-nochunks ascii.xml 
 
 clean:
-	rm -f ascii ascii.o splashscreen.h nametable.h *.rpm *.tar.gz MANIFEST
+	rm -f ascii ascii.o splashscreen.h nametable.h *.rpm *.tar.gz MANIFEST *.1 *.html SHIPPER.*
+
+SPLINTOPTS = +charintliteral -initallelements +posixlib -mustfreefresh \
+	-predboolint
+splint: nametable.h splashscreen.h
+	splint -I. -DREVISION=$(VERS) $(SPLINTOPTS) ascii.c
 
 install: ascii ascii.1
 	cp ascii $(DESTDIR)/usr/bin/ascii
@@ -32,14 +39,13 @@
 
 SOURCES = README COPYING Makefile ascii.c ascii.xml ascii.spec splashscreen nametable ascii.cgi
 
-# Assumes this is the trubnk of a Subversion repository
 ascii-$(VERS).tar.gz: $(SOURCES) ascii.1
 	@ls $(SOURCES) ascii.1 | sed s:^:ascii-$(VERS)/: >MANIFEST
-	@(cd ..; ln -s trunk ascii-$(VERS))
-	(cd ..; tar -czvf trunk/ascii-$(VERS).tar.gz `cat trunk/MANIFEST`)
+	@(cd ..; ln -s ascii ascii-$(VERS))
+	(cd ..; tar -czvf ascii/ascii-$(VERS).tar.gz `cat ascii/MANIFEST`)
 	@(cd ..; rm ascii-$(VERS))
 
 dist: ascii-$(VERS).tar.gz
 
 release: ascii-$(VERS).tar.gz ascii.html
-	shipper; rm -f CHANGES ANNOUNCE* ascii.html *.1 *.html *.rpm *.lsm
+	shipper -u -m -t; make clean

=== debian/changelog ===
ascii (3.11-1) unstable; urgency=low

  * [a1079bd] Imported Upstream version 3.11
  * [15dfafb] drop all patches as they are included upstream

 -- Florian Ernst <florian@debian.org>  Sat, 26 Mar 2011 16:33:01 +0100

ascii (3.10-1) unstable; urgency=low

  * [04be9ee] Imported Upstream version 3.10
  * [9832ac0] revert nametable patch from master branch, will be exported
    separately; changes to ascii.xml dropped as they were included upstream
  * [c77adfd] split previous monolithic diff into separate patches
  * [42c45f5] debian/copyright: updates years, reflect that upstream now uses
    the BSD license instead of the GPL
  * [fe200d0] change the source package format to 3.0 (quilt)
  * [d8ade4b] debian/{compat,control,rules}: streamline and update,
    Standards-Version: 3.9.1

 -- Florian Ernst <florian@debian.org>  Tue, 22 Feb 2011 21:31:13 +0100

ascii (3.8-4) unstable; urgency=low

  * nametable fixes, many thanks to Anders Kaseorg for spotting these
    (partially Closes: #466168 while the full patch was forwarded upstream)
  * Transfer Homepage to its appropriate control field
  * Standards-Version 3.7.3

 -- Florian Ernst <florian@debian.org>  Sun, 24 Feb 2008 13:31:56 +0100

ascii (3.8-3) unstable; urgency=low

  * Fix "broken name table - unterminated names", many thanks to Piotr
    Engelking (Closes: #360188)
  * Simplify ascii.xml so option letters are shown (Closes: #354294)

 -- Florian Ernst <florian@debian.org>  Fri, 31 Mar 2006 10:56:37 +0200

ascii (3.8-2) unstable; urgency=low

  * Leave out upstream's README as all info contained therein is
    present in other files (Closes: #328776)
  * debian/copyright: update FSF address
  * debian/rules: minor adjustments / improvements
  * Upgrade debhelper compatibility level
  * Standards-Version 3.6.2, no changes required

 -- Florian Ernst <florian@debian.org>  Mon,  7 Nov 2005 11:45:13 +0100

ascii (3.8-1) unstable; urgency=low

  * New upstream release
    + incorporates nametable fix for right square bracket
  * debian/control: update description using text from spec file

 -- Florian Ernst <florian@debian.org>  Sun, 13 Mar 2005 12:55:05 +0100

ascii (3.6-2) unstable; urgency=low

  * New maintainer address, many thanks to Martin F. Krafft for previous
    sponsoring
  * Provide appropriate debian/copyright file (Closes: #290059)
  * debian/control: start Description: with lowercase letter instead

 -- Florian Ernst <florian@debian.org>  Thu,  3 Feb 2005 11:35:05 +0100

ascii (3.6-1) unstable; urgency=low

  * Really adopted by a new maintainer (Closes: #100423)
  * New upstream release (Closes: #199150)
    + needs xmlto, added to debian/control
  * debian/control:
    + added upstream homepage
    + removed full stop from short description, added "an"
    + updated description to reflect newest upstream
    + Standards-Version: 3.6.1
  * debian/copyright:
    + updated download location
    + added note about previous maintainers
    + updated author, copyright and license info
  * debian/rules:
    + DH_COMPAT is deprecated -> echo 3 > debian/compat
    + removed unused configure target
  * debian/watch: added

 -- Florian Ernst <florian_ernst@gmx.net>  Tue, 21 Sep 2004 21:26:25 +0200

ascii (3.0-2) unstable; urgency=low

  * Adopted by new maintainer closes #100423

 -- Timothy Ball <timball@tux.org>  Sun, 10 Jun 2001 17:35:21 -0400

ascii (3.0-1) unstable; urgency=low

  * Adopted by new maintainer;
    closes: #93865, #93210, #72489, #91110, #91375, #91384, #90947 
  * Corrected some incorrect notes in ascii.c; closes: #41184

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sat, 14 Apr 2001 09:43:15 +0200

ascii (3.0-0.1) unstable; urgency=low

  * NMU
  * Maintainer is no longer active, orphaning his package
  * Package uses debhelper now, which makes the FHS transition
  for us. (Closes: #72489, #91110, #91375, #91384)
  * New upstream release. (Closes: #90947)

 -- Carlos Laviola <claviola@ajato.com.br>  Fri, 13 Apr 2001 15:02:19 -0300

ascii (2.6) unstable; urgency=low

  * New upstream version. 
  * It has been reported to me that this fixes the /tmp symlink bug;
  * once this has been verified the bug will close.

 -- Ioannis Tambouras <ioannis@debian.org>  Sun, 27 Jun 1999 05:16:00 -0400

ascii (2.4) unstable; urgency=low

  * New upstream version.

 -- Ioannis Tambouras <ioannis@flinet.com>  Sat, 15 May 1999 13:12:29 -0400

ascii (2.2-2) unstable; urgency=low

  * 
  * Fixed Apostrophe entry where "Prime" was  repeated twice (Bug#14920).

 -- Ioannis Tambouras <ioannis@flinet.com>  Sun, 16 Nov 1997 01:42:04 -0500

ascii (2.2-1) unstable; urgency=low

  * Additional code by Ioannis. New -x, -d, and -o options that print
  * full ascii tables in hex, decimal, and octal, respectively.
  * All additional coding since the initial release are now merged-in with
  * the upstream version. 

 -- Ioannis Tambouras <ioannis@flinet.com>  Sun, 17 Aug 1997 06:17:54 -0400

ascii (2.01-3) unstable; urgency=low

  * lib6 upgrade
  * Additions to copyright. Non-upstream changes and additions are
  * now under GPL 

 -- Ioannis Tambouras <ioannis@flinet.com>  Sat, 9 Aug 1997 18:30:18 -0400

ascii (2.01-2) unstable; urgency=low

  * mirror packaging error fix 

 -- Ioannis Tambouras <ioannis@flinet.com>  Thu, 7 Aug 1997 17:56:54 -0400

ascii (2.01-1) unstable; urgency=low

  * 
  * Performance enhancements, minor code-fixes, and introduction of
  * command-line options for terse output (ascii is now script friendly).
  *
  * Minor changes to manpage to reflect enhancements. 
  * 
  * Fixes coding-bug #9794 .
  * Fixes packaging-bugs #10172-b, #10772, and #8604-b .
  *
  * This package has no new up-stream code, all changes are attributed to 
  * Ioannis.
  *
  * Increamented the version number to encourage upgrading. 
  
    

 -- Ioannis Tambouras <ioannis@flinet.com>  Thu, 7 Aug 1997 12:00:37 -0400

ascii (2.0-1) unstable; urgency=low

  * 
  * After requesting a clarification from the author about software


=== debian/control ===
Source: ascii
Section: utils
Priority: optional
Maintainer: Florian Ernst <florian@debian.org>
Build-Depends: debhelper (>= 7), xmlto
Standards-Version: 3.9.1
Homepage: http://www.catb.org/~esr/ascii/
Vcs-Browser: http://git.debian.org/?p=collab-maint/ascii.git
Vcs-Git: git://git.debian.org/collab-maint/ascii.git

Package: ascii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive ASCII name and synonym chart
 The ascii utility provides easy conversion between various byte representations
 and the American Standard Code for Information Interchange (ASCII) character
 table.  It knows about a wide variety of hex, binary, octal, Teletype mnemonic,
 ISO/ECMA code point, slang names, XML entity names, and other representations.
 Given any one on the command line, it will try to display all others.  Called
 with no arguments it displays a handy small ASCII chart.

## ascii 3.12

=== debian/changelog ===
ascii (3.12-1) unstable; urgency=low

  * [3625ceb] Imported Upstream version 3.12

 -- Florian Ernst <florian@debian.org>  Sun, 05 May 2013 07:45:23 +0200

## ascii 3.14

=== Makefile ===
# ascii -- interactive ASCII reference

VERS=3.14

CFLAGS = -O

PREFIX = /usr

all: ascii ascii.1

ascii: ascii.c splashscreen.h nametable.h
	$(CC) $(CFLAGS) -DREVISION=$(VERS) ascii.c -o ascii

splashscreen.h: splashscreen
	sed <splashscreen >splashscreen.h -e 's/\\/\\\\/g' -e 's/"/\\"/g' -e 's/.*/P("&");/' 

nametable.h: nametable
	sed <nametable >nametable.h -e '/^#/d' -e 's/^[A-Za-z ]*: */	/' -e 's/%%/    }, {/'

ascii.1: ascii.xml
	xmlto man ascii.xml 

ascii.html: ascii.xml
	xmlto html-nochunks ascii.xml 

clean:
	rm -f ascii ascii.o splashscreen.h nametable.h *.rpm *.tar.gz MANIFEST *.1 *.html

CPPCHECKOPTS =
cppcheck: nametable.h splashscreen.h
	cppcheck -DREVISION=$(VERS) $(CPPCHECKOPTS) ascii.c

SPLINT_SUPPRESSIONS = -boolops -nullret -initallelements +charintliteral
splint:
	splint +quiet +posixlib $(SPLINT_SUPPRESSIONS) ascii.c

install: ascii ascii.1
	cp ascii $(DESTDIR)$(PREFIX)/bin/ascii
	cp ascii.1 $(DESTDIR)$(PREFIX)/share/man/man1

uninstall:
	rm $(DESTDIR)$(PREFIX)/bin/ascii
	rm $(DESTDIR)$(PREFIX)/share/man/man1/ascii.1

SOURCES = README COPYING control Makefile ascii.c ascii.xml splashscreen nametable

ascii-$(VERS).tar.gz: $(SOURCES) ascii.1
	@ls $(SOURCES) ascii.1 | sed s:^:ascii-$(VERS)/: >MANIFEST
	@(cd ..; ln -s ascii ascii-$(VERS))
	(cd ..; tar -czvf ascii/ascii-$(VERS).tar.gz `cat ascii/MANIFEST`)
	@(cd ..; rm ascii-$(VERS))

dist: ascii-$(VERS).tar.gz

release: ascii-$(VERS).tar.gz ascii.html
	shipper version=$(VERS) | sh -e -x

=== debian/changelog ===
ascii (3.14-2) unstable; urgency=medium

  * [446cb45] drop hardening-wrapper and use dpkg-buildflags instead

 -- Florian Ernst <florian@debian.org>  Wed, 01 Oct 2014 20:40:41 +0200

ascii (3.14-1) unstable; urgency=medium

  * [da7c522] Imported Upstream version 3.14
  * [c9111d8] let lintian know that there really isn't any upstream changelog
  * [4ec77da/3042a1d] enable hardening
  * [587b2ba] debian/control: adjust Vcs-* to best practices
  * [b226f28/d8de620] debian/control: Standards-Version: 3.9.5 (no changes
    required)

 -- Florian Ernst <florian@debian.org>  Sun, 08 Dec 2013 16:46:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends: debhelper (>= 7), xmlto
-Standards-Version: 3.9.1
+Standards-Version: 3.9.5
 Homepage: http://www.catb.org/~esr/ascii/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ascii.git
-Vcs-Git: git://git.debian.org/collab-maint/ascii.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ascii.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ascii.git
 
 Package: ascii
 Architecture: any

## ascii 3.15

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ascii -- interactive ASCII reference
 
-VERS=3.14
+VERS=3.15
 
 CFLAGS = -O

=== debian/changelog ===
ascii (3.15-1) unstable; urgency=medium

  * [bb7c972] Imported Upstream version 3.15
  * [29aaceb] debian/control: Standards-Version: 3.9.6 (no changes required)

 -- Florian Ernst <florian@debian.org>  Sun, 26 Apr 2015 11:41:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends: debhelper (>= 7), xmlto
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.catb.org/~esr/ascii/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ascii.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/ascii.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

%:
	dh $@

## ascii 3.18

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ascii -- interactive ASCII reference
 
-VERS=3.15
+VERS=$(shell sed -n <NEWS '/^[0-9]/s/:.*//p' | head -1)
 
 CFLAGS = -O
 
@@ -42,7 +42,10 @@
 	rm $(DESTDIR)$(PREFIX)/bin/ascii
 	rm $(DESTDIR)$(PREFIX)/share/man/man1/ascii.1
 
-SOURCES = README COPYING control Makefile ascii.c ascii.xml splashscreen nametable
+SOURCES = README COPYING NEWS control Makefile ascii.c ascii.xml splashscreen nametable
+
+version:
+	@echo $(VERS)
 
 ascii-$(VERS).tar.gz: $(SOURCES) ascii.1
 	@ls $(SOURCES) ascii.1 | sed s:^:ascii-$(VERS)/: >MANIFEST
@@ -54,3 +57,6 @@
 
 release: ascii-$(VERS).tar.gz ascii.html
 	shipper version=$(VERS) | sh -e -x
+
+refresh: ascii.html
+	shipper -N -w version=$(VERS) | sh -e -x

=== debian/changelog ===
ascii (3.18-5) unstable; urgency=medium

  * Remove Florian Uploader/co-maintainer
  * debian/* files use same license as upstream software

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 09 Sep 2020 23:57:56 +0200

ascii (3.18-4) unstable; urgency=medium

  * set debhelper compatibility version to 13
  * fix lintian silent-on-rules-requiring-root
  * make copyright machine-readable
  * update git salsa repository URL

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Tue, 08 Sep 2020 10:19:03 +0200

ascii (3.18-3) unstable; urgency=medium

  * Correctly handle bytes on system with signed char (Closes: #912604)
  * set Standards-Version to 4.4.1

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 02 Jan 2020 12:11:49 +0100

ascii (3.18-2) unstable; urgency=medium

  [ Calogero Lo Leggio ]
  * Migrate VCS from alioth to salsa
  * Propose myself as maintainer
  * set Standards-Version to 4.4.0
  * set debhelper compatibility version to 12
  * remove trailing whitespace
  * add gbp config file (switch default branch to 'debian')
  * exclude ascii manpage in dh cleaning

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 07 Aug 2019 18:21:05 +0200

ascii (3.18-1) unstable; urgency=medium

  * [1175e13] New upstream version 3.18

 -- Florian Ernst <florian@debian.org>  Wed, 02 Aug 2017 20:47:52 +0200

ascii (3.17-1) UNRELEASED; urgency=medium

  * [0002499] New upstream version 3.17

 -- Florian Ernst <florian@debian.org>  Tue, 01 Aug 2017 19:46:17 +0200

ascii (3.16-1) unstable; urgency=medium

  * [a06fabc] New upstream version 3.16
  * [08998bd] debian/copyright: update from upstream

 -- Florian Ernst <florian@debian.org>  Tue, 25 Jul 2017 22:01:52 +0200

ascii (3.15-2) unstable; urgency=medium

  * [5dbd899] debian/rules: override dh_auto_build correctly, fixing a FTCBFS.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: 865448)
  * [f14807d] use up-to-date debhelper compatibility level
  * [fa34824] debian/control: update Vcs-* fields
  * [ff1aabc] debian/control: update Standards-Version (no changes required)

 -- Florian Ernst <florian@debian.org>  Sun, 25 Jun 2017 08:28:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ascii
 Section: utils
 Priority: optional
-Maintainer: Florian Ernst <florian@debian.org>
-Build-Depends: debhelper (>= 7), xmlto
-Standards-Version: 3.9.6
+Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
+Build-Depends: debhelper-compat (= 13), xmlto
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: http://www.catb.org/~esr/ascii/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ascii.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/ascii.git
+Vcs-Git: https://salsa.debian.org/kalos/ascii.git
+Vcs-Browser: https://salsa.debian.org/kalos/ascii
 
 Package: ascii
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,10 @@
 include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_build:
-	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
+	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
+
+override_dh_auto_clean:
+	rm -f ascii ascii.o splashscreen.h nametable.h *.rpm *.tar.gz MANIFEST *.html
 
 %:
 	dh $@

=== debian/watch ===
version=2
http://www.catb.org/~esr/ascii/ascii-(.*)\.tar\.gz
